﻿////mr-bundler-ignore
var MrModify = function () {}

function MrHandleLanguageFlip()
{
    if (window.location.href.includes('/Ar')) {
        window.location.href = window.location.href.replace('/Ar', '/En');

    } else {
        if (window.location.href.includes('/En')) {
            window.location.href = window.location.href.replace('/En', '/Ar');

        }

    }

}
function MrStartUI() {
    MrMUISecoundryColor = '#6D0B00';
    MrMUIPrimaryColor = '#F5F5F5';
    MrMUIToolWidth = "30vw";
    MrMUIToolMaxWidth = "650px";
    MrMUIToolMinWidth = "400px";
    MrExcludedCSSElementsSelector = ".fa, .fab, .fad, .fal, .far, .fas,i";
    Mrnoggt = false;
    MrCID = 294;
    MrAudCid = 47;
    MrArabicUIisOn = window.location.href.toString().toLowerCase().indexOf('/Ar'.toLowerCase()) > -1;
    MrArabicFlag = "ar";

    MrGotoArabicVersion = function () {

        if (!MrArabicUIisOn) {

          MrHandleLanguageFlip();
            //MrMUIApplyTranslate("ar");
            MrUPChangeToolLangToAR();
        }
    };
    MrGotoEnglishVersion = function () {

        if (MrArabicUIisOn) {

           // jQuery('#lnkBtnChangeLang')[0].click()
           MrHandleLanguageFlip();
            // MrMUIApplyTranslate("en");
            MrUPChangeToolLAngToEN();
        }
    };
    MrModify();
    MRUAPPrepareUI(["MrSignLanguage","MrText2Speech","MrControl_Page_contrast","MrCursor_Helpers","MrChangefont","MrPage_saturation_control","MrWords_Spacing","MrRealWords_Spacing","MrLine_Spacing","MrEnlarge_Fonts","MrHighlight_Links","MrAnimation","MrText_Alignments","MrPage_Structure","MrHideImgs"],["MrVisuallyImpaired","Mrdyslexia","MrADHD","MrSeizureAndEpilepsy","MrColor_Blind","Mrcognitive_education","MrImpaired_mobility"]);

    var MrIconMessage = MrArabicUIisOn ? "مساعدة في استخدام الموقع" : "Assist using site" ;

    var MrIconToAdd =
        '<div id="MrAccessInHand" title="' +
        MrIconMessage +
        '"><img src="https://cdn.mindrocketsapis.com/client/imgs/png/accessability.png" width="50" alt="' +
        MrIconMessage +
        '"></div>';
    MrUAPAddStyle(
        "#MrAccessInHand:hover { filter: brightness(1.3);} #MrAccessInHand {z-index: 99;cursor:pointer; position: fixed; bottom: 5px; left: 60px; background-color: " +
        MrMUISecoundryColor +
        "; border-radius: 5px;width:50px;height:50px;text-align:center } #MrAccessInHand img{filter:" +
        MrUtilHexToFilter(MrMUIWhite) +
        ";margin-top:5px;width:40px}",
        "MrbuttonCSS"
    );
    jQuery("body").append(MrIconToAdd);

    MrUAPAddStyle('#MrMUIFooter { width: 94%; } .mr-muiTool label { font-weight: unset; border-right: unset; line-height: unset; padding-left: unset; margin-bottom: unset; font-size: 16px;} #MrMUIHeader label {color : '+MrMUIWhite+'}','UIFixs')
    jQuery("#MrAccessInHand").click(function () {
        MrToolCheckLicense();
        MrUAPShowAssistiveTool();
        
        MrMUIGetGoogleTranslationValues(2);
        if (MrArabicUIisOn) {
            jQuery("[mrtitleen='Arabic']").addClass("MrMUIActivated");
            jQuery("[mrtitleen='Arabic'] label").addClass("MrButtonActive");
        } else {
            jQuery("[mrtitleen='English']").addClass("MrMUIActivated");
            jQuery("[mrtitleen='English'] label").addClass("MrButtonActive");
        }
    });
    MrUAPPrepareMrOrgColor();
    MrMUIActivateShotcuts();
}
////endmr-bundler-ignore
jQuery(document).ready(function () {
    setTimeout(function () {
        MrStartUI();
    }, 500);
});